WIPEFS(8)

NAME
wipefs - wipe a signature from a device

SYNOPSIS
wipefs [-ahnptV] [-o offset] device

DESCRIPTION
wipefs can erase filesystem, raid or partition table signatures (magic strings) from the specified device to make the signature invisible for libblkid.

wipefs does not erase the filesystem itself nor any other data from the device. When used without options -a or -o, it lists all visible filesystems and the offsets of their basic signatures.

Note that some filesystems or some partition tables store more magic strings on the devices. The wipefs lists the first offset where a magic string has been detected. The device is not scanned for additional magic strings for the same filesystem. It's possible that after wipefs -o <offset> will be the same filesystem or partition table visible by another magic string on another offset.

When used with option -a then all for libblkid visible magic strings are erased.

OPTIONS

-a, --all
    Erase all available signatures. This set of erased signatures could be restricted by -t <list> option.

-h, --help
    Print help and exit.

-n, --no-act
    Causes everything to be done except for the write() call.

-o, --offset offset
    Specify the location (in bytes) of the signature which should be erased from the device. The offset number may include a "0x" prefix; then the number will be interpreted as a hex value. It is possible to specify multiple -o options.

    The offset argument may be followed by binary (2^N) suffixes KiB, MiB, GiB, TiB, PiB and EiB (the "iB" is optional, e.g. "K" has the same meaning as "KiB") or decimal (10^N) suffixes KB, MB, GB, PB and EB.

-p, --parsable
    Print out in parsable instead of printable format. Encode all potentially unsafe characters of a string to the corresponding hex value prefixed by '\x'.

-t, --types list
    Used to limit the set of printed or erased signatures. More than one type may be specified in a comma-separated list. The list of types or individual types can be prefixed with 'no' to specify the types on which no action should be taken. For more details see mount(8).

-V, --version
    Output version information and exit.

AUTHOR
Karel Zak <kzak@redhat.com>.

AVAILABILITY
The wipefs command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

SEE ALSO
blkid(8) findfs(8)